# Generated by Django 3.1.12 on 2021-12-06 03:00

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("survey", "0002_auto_20210921_2054"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="surveyresponse",
            name="created_by",
        ),
        migrations.RemoveField(
            model_name="surveyresponse",
            name="status",
        ),
        migrations.RemoveField(
            model_name="surveyresponse",
            name="survey",
        ),
        migrations.CreateModel(
            name="SurveyAnswers",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        choices=[("completed", "Completed"), ("partial", "Partial")],
                        default="partial",
                        max_length=10,
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "created_by",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "responses",
                    models.ManyToManyField(
                        blank=True, related_name="answers", to="survey.SurveyResponse"
                    ),
                ),
                (
                    "survey",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="answers",
                        to="survey.survey",
                    ),
                ),
            ],
            options={
                "verbose_name": "Survey Answers",
                "verbose_name_plural": "Survey Answers",
            },
        ),
        migrations.AddConstraint(
            model_name="surveyanswers",
            constraint=models.UniqueConstraint(
                fields=("created_by", "survey"),
                name="survey_surveyanswers_survey_answers_unique",
            ),
        ),
    ]
