# Generated by Django 3.1.14 on 2022-04-12 06:08

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models

import ob_dj_survey.utils.models


class Migration(migrations.Migration):

    replaces = [
        ("survey", "0014_auto_20220315_1650"),
        ("survey", "0015_auto_20220316_2328"),
        ("survey", "0016_auto_20220403_0834"),
        ("survey", "0017_auto_20220412_0417"),
    ]

    dependencies = [
        ("survey", "0013_survey_is_active"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="surveyanswer",
            name="responses",
        ),
        migrations.AddField(
            model_name="surveyresponse",
            name="answer",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="responses",
                to="survey.surveyanswer",
            ),
        ),
        migrations.RemoveField(
            model_name="surveychoice",
            name="questions",
        ),
        migrations.RemoveField(
            model_name="surveyquestion",
            name="surveys",
        ),
        migrations.AlterField(
            model_name="surveychoice",
            name="description",
            field=models.TextField(blank=True, default="", null=True),
        ),
        migrations.AlterField(
            model_name="surveyresponse",
            name="value",
            field=models.TextField(blank=True),
        ),
        migrations.RemoveField(
            model_name="surveyquestion",
            name="is_active",
        ),
        migrations.CreateModel(
            name="SurveyQuestionMembership",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "order",
                    models.PositiveSmallIntegerField(
                        default=1,
                        validators=[django.core.validators.MinValueValidator(1)],
                    ),
                ),
                ("is_active", models.BooleanField(default=True)),
                (
                    "question",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="surveys_membership",
                        to="survey.surveyquestion",
                    ),
                ),
                (
                    "survey",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="questions_membership",
                        to="survey.survey",
                    ),
                ),
            ],
            options={
                "ordering": ["order"],
            },
            bases=(ob_dj_survey.utils.models.DjangoModelCleanMixin, models.Model),
        ),
        migrations.CreateModel(
            name="QuestionChoiceMembership",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "order",
                    models.PositiveSmallIntegerField(
                        default=1,
                        validators=[django.core.validators.MinValueValidator(1)],
                    ),
                ),
                (
                    "choice",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="questions_membership",
                        to="survey.surveychoice",
                    ),
                ),
                (
                    "question",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="choices_membership",
                        to="survey.surveyquestion",
                    ),
                ),
            ],
            options={
                "ordering": ["order"],
            },
            bases=(ob_dj_survey.utils.models.DjangoModelCleanMixin, models.Model),
        ),
        migrations.AddField(
            model_name="survey",
            name="questions",
            field=models.ManyToManyField(
                blank=True,
                related_name="surveys",
                through="survey.SurveyQuestionMembership",
                to="survey.SurveyQuestion",
            ),
        ),
        migrations.AddField(
            model_name="surveyquestion",
            name="choices",
            field=models.ManyToManyField(
                blank=True,
                related_name="questions",
                through="survey.QuestionChoiceMembership",
                to="survey.SurveyChoice",
            ),
        ),
    ]
